const baseUrl = import.meta.env.VITE_API_URL;

export function recordLogout(payload, token) {
  const url = `${baseUrl}/getYoucanData/logout`;
  const data = JSON.stringify({
    ...payload
  });
  // 检测 navigator.sendBeacon 是否可用
  if (!navigator.sendBeacon) {
    // 使用 sendBeacon 发送请求
    const blob = new Blob([data], { type: 'application/json' });
    navigator.sendBeacon(url, blob);
  } else {
    // 降级为 XMLHttpRequest
    const xhr = new XMLHttpRequest();
    xhr.open('POST', url, true);
    xhr.setRequestHeader('Content-Type', 'application/json');
    xhr.setRequestHeader('Authorization', `Bearer ${token || ''}`); // ✅ 补充认证头
    xhr.send(data);
  }
}